## org.apache.jasper.compiler
Class Node.JspAttribute

    java.lang.Object
      org.apache.jasper.compiler.Node.JspAttribute

Enclosing class:
  Node

public static class Node.JspAttribute
extends java.lang.Object

Represents attributes that can be request time expressions.

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getValue()`
`boolean` `isExpression()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    The name of the attribute

### getValue

    public java.lang.String getValue()

  Returns:
    the value for the attribute, or the expression string (stripped of "<%=", "%>", "%=", or "%")

### isExpression

    public boolean isExpression()

  Returns:
    true is the value represents an expression

Copyright ? 2000 Apache Software Foundation. All Rights Reserved.